## live-manual 3.0~a2

=== debian/changelog ===
live-manual (1:3.0~a2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing misleading dosfslabel example in persistency chapter.

  [ José Luis Zabalza ]
  * Translating user_managing_a_configuration to ES
  * Fixing translate policy and 56/58 sentence
  * Translating user_customization-overview to ES

  [ Ben Armstrong ]
  * Clarify in About Manual the sections that pertain to end-users.

  [ José Luis Zabalza ]
  * Translating user_customization-installer.ssi.po to ES
  * Translating user_customization-installer.ssi.po to ES

  [ chals ]
  * Translating project_coding-style, project_bugs and live-manual to
    Spanish
  * Translating project-procedures.ssi.po into Spanish
  * Translating user-installation.ssi.po into Spanish
  * Translating user_customization-binary.ssi.po

  [ José Luis Zabalza ]
  * translating user_customization-contents.ssi.po to ES
  * translating user_customization-contents.ssi.po to ES

  [ skizzhg ]
  * Updating about_manual.ssi.po, italian translation.

  [ chals ]
  * Translating user_overview.ssi.po into Spanish

  [ José Luis Zabalza ]
  * translating user_customization-packages.ssi.po to ES
  * translating user_customization-packages.ssi.po to ES
  * Fixing live-manual.ssm.po

  [ chals ]
  * Translating user-customization-runtime.ssi.po into Spanish
  * Translating user_basics.ssi into Spanish

  [ Ben Armstrong ]
  * Fixing incorrect use of 'source' command as the verb of a sentence.

  [ José Luis Zabalza ]
  * Fixing (review) about_manual and user-overview
  * revert update-version modify

  [ Ben Armstrong ]
  * Fixing incorrect usage of whole device instead of partition to
    reclaim remaining space on USB stick (thanks to Javier Barroso).

  [ José Luis Zabalza ]
  * Fixing (review) user_basics ES
  * Fixing (review) spanish user_customization-binary, live-manual,
    index.html user_customization-overview
  * Fixing (review) spanish project_coding-style
  * Fixing (review) spanish project_coding-style (mark as reviewed)
  * Fixing (review) spanish project_procedures.ssi.po and
    user_installation.ssi.po

  [ chals ]
  * Translating user_examples.ssi.po into Spanish

  [ José Luis Zabalza ]
  * Fixing (finish) about_project.ssi.po
  * Fixing (finish) user_customization-runtime.ssi.po

 -- Daniel Baumann <daniel@debian.org>  Thu, 10 Mar 2011 06:47:07 +0100

live-manual (1:3.0~a1-1) unstable; urgency=low

  [ delby ]
  * Correcting negative apt pinning example.

  [ skizzhg ]
  * Translating fuzzy after new content update, italian translation.

  [ Ben Armstrong ]
  * Fixing link to contribute to the manual.

  [ Daniel Baumann ]
  * Correcting debconf preseeding example for user-setup.
  * Adding initial Spanish translation files from Carlos Zuferri chals
    <chals@altorricon.com>.
  * Adding link to Spanish translation on top level html page.
  * Removing some empty lines at EOF.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating copyright file.
  * Dropping version from sisu build-depends, not required anymore.

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Feb 2011 10:06:56 +0100

live-manual (1:2.0.2-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Fixing missing paren in Reporting bugs chapter.

  [ Carlo Stemberger ]
  * Proof-reading user_examples, Italian translation.
  * Conforming the style of user_example, Italian translation.
  * Fixing the fuzzy/zombie bug: the problem was the "§" character.
  * Unfuzzy live-manual.ssm.po, Italian translation.

  [ Ben Armstrong ]
  * Adding name tags to chapters to eliminate numeric filenames in HTML
    multipage output.
  * Removing 'under heavy construction' from index, as we are now done.
  * Updating languages for commit 7f75631.

 -- Daniel Baumann <daniel@debian.org>  Tue, 25 Jan 2011 07:15:55 +0100

live-manual (1:2.0.1-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Fixing missing blank line which broke code block in Languages and
    tasks section.
  * Removing accidentally committed build.log.
  * Adding more substance to installer customization chapter, plus
    numerous spelling and formatting fixes.

  [ skizzhg ]
  * Updating user_customization-packages.ssi.po, italian translation.

  [ Ben Armstrong ]
  * Adding subsection on customizing installer contents.

  [ skizzhg ]
  * Translating fuzzy after new content update and proofreading, italian
    translation.

  [ Ben Armstrong ]
  * Adding cleanup of sisu output mode to strip nav bars.
  * Adding specific instructions to make standard and live installers
    coexist.

  [ Carlo Stemberger ]
  * Proof-reading user_basics translation in Italian.

  [ Ben Armstrong ]
  * Fixing path to auto script examples in Example 3.

  [ Carlo Stemberger ]
  * Fixing some little typos in user_basics.

  [ skizzhg ]
  * Adding user_customization-runtime.ssi.po, first italian translation.

  [ Ben Armstrong ]
  * Fixing consistent reference to config/ subdirectory in Overview of
    tools.

  [ Lillo Sciascia ]
  * Proofreading user_customization-installer.ssi.po, italian
    translation.

  [ skizzhg ]
  * Adding user_overview.ssi.po, first italian translation.

  [ Lillo Sciascia ]
  * Beginnig additional string user_overview.ssi.po, italian
    translation.

  [ skizzhg ]
  * Translating fuzzy after new content update, italian translation.

  [ Ben Armstrong ]
  * More html content fixes: removal of remaining tables, unwanted toc
    entries.

  [ skizzhg ]
  * Translating fuzzy and proofreading, user_customization-
    packages.ssi.po, italian translation.

  [ Ben Armstrong ]
  * Unhiding top-level headings in 'single page' html output; removing
    empty Development heading.

  [ Carlo Stemberger ]
  * Proof-reading and continuing translation of user_examples, in
    Italian.

  [ Ben Armstrong ]
  * Fixing several inconsistent font style usages throughout the manual,
    mostly 'config/' and 'lb config'.

  [ Daniel Baumann ]
  * Updating example dhcpd.conf for pxe for squeeze.

