=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>, Daniel Baumann <daniel@debian.org>, Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby
Build-Depends-Indep: sisu-complete, po4a
Standards-Version: 3.9.1
Homepage: http://live.debian.net/devel/live-manual/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
Vcs-Git: git://live.debian.net/git/live-manual.git

Package: live-manual
Architecture: all
Depends:
 ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
  live-manual-pdf, live-manual-txt
Description: Debian Live - Documentation (metapackage)
 live-manual contains the documentation for the Debian Live project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (epub)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (html)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (odf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (pdf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (txt)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the txt output.
