## live-manual 3.0~a3

=== debian/changelog ===
live-manual (1:3.0~a3-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating git instructions.

  [ José Luis Zabalza ]
  * Fixing ,# on ES user_basics.ssi.po

  [ Daniel Baumann ]
  * Adding note about debian-next branch in git instructions.
  * Removing some apparently imported craft.

  [ skizzhg ]
  * Updating after new context and clean some strings that does not need
    translation.

  [ chals ]
  * Fixing sisu metadata in live-manual.ssm.po Spanish translation.

  [ Daniel Baumann ]
  * Updating git call for checking out the debian-next branch.

  [ chals ]
  * Revising user_basics.ssi.po Spanish translation.
  * Revising about_project.ssi.po Spanish translation.
  * Revising project_coding-style.ssi.po Spanish translation.
  * Fixing (again) offending space in user_basics.ssi.po Spanish
    translation.

  [ José Luis Zabalza ]
  * Fixing space ES user_basics.ssi.po
  * Fixing (revised) project_bugs.ssi.po

  [ chals ]
  * Revising project_bugs.ssi.po Spanish translation.
  * Revising user_managing_a_configuration.ssi.po Spanish translation.
  * Revising user_customization-installer.ssi.po Spanish translation.
  * Revising user_examples.ssi.po Spanish translation.
  * Revising user_customization-packages.ssi.po Spanish translation.

  [ Ben Armstrong ]
  * Restructuring and expanding The Basics to focus more on using
    images.
  * Updating USB/HDD sections, integrating better with the rest of the
    chapter.
  * Fixing typo: -b, not --b.

  [ Daniel Baumann ]
  * Adding note about build pace for live-manual on top index page.

  [ chals ]
  * Updating user_basics.ssi.po Spanish translation
  * Revising about_manual.ssi.po Spanish translation
  * Revising project_coding-style.ssi.po Spanish translation.
  * Revising project_procedures.ssi.po Spanish translation.
  * Revising user_customization-binary.ssi.po Spanish translation.

  [ Ben Armstrong ]
  * Fixing broken links spotted by Carlos Zuferri - chals
    <chals@altorricon.com>.

  [ chals ]
  * Fixing links in user_basics.ssi.po Spanish translation.
  * Revising user_customization-overview.ssi.po Spanish translation.
  * Revising user_customization-runtime.ssi.po Spanish translation.
  * Revising user_installation.ssi.po Spanish translation.
  * Revising user_overview.ssi.po Spanish translation.

  [ skizzhg ]
  * Updating user_basics, italian translation.

  [ Daniel Baumann ]
  * Disabling Spanish translation for the moment to avoid further build
    problems.
  * Renabling Spanish translation and temporarily not fail on missing
    builds.

  [ chals ]
  * Fixing section in user_basics.ssi.po Spanish translation (Thanks to
    F).

  [ Ben Armstrong ]
  * Fixing minor formatting error: missing trailing number-sign in user
    customization section.

  [ chals ]
  * Fixing formatting error and several typos in user_customization-
    contents.ssi.po Spanish translation.
  * Fixing typos in user_customization-installer.ssi.po Spanish
    translation.
  * Rewording hyphenation problem in user_customization-contents.ssi.po
    Spanish translation (Ben's suggestion).
  * Fixing slash-blank space in live-manual.ssm.po Spanish translation.
  * Deleting unnecessary commas (just in case) in user_customization-
    runtime.ssi.po Spanish translation.
  * Fixing typos and accentuation in user_customization_overview.ssi.po
    Spanish translation.
  * Fixing accentuation and formatting mistakes in
    user_managing_a_configuration.ssi.po Spanish translation.
  * Fixing broken link between user_basics.ssi.po and
    user_examples.ssi.po and other minor fixes Spanish translation.
  * Fixing important difference, gitosis-git in about_manual.ssi.po
    (Spotted by Jose Luis Zabalza) Spanish translation.
  * Fixing accentuation and grammar in about_project.ssi.po and
    user_installation.ssi.po Spanish translation.

  [ skizzhg ]
  * Updating user_basics, italian translation

  [ chals ]
  * Checking accentuation and grammar in user_basics.ssi.po and
    project_coding-style.ssi.po Spanish translation.

  [ Bruno Gurgel ]
  * First time using git to send my pt-Br po files

  [ Ben Armstrong ]
  * Clarifying that filename differs when downloaded instead of built.
    (Closes: #622813).

  [ chals ]
  * Updating user_basics.ssi.po Spanish translation.

  [ skizzhg ]
  * Updating user_basics and fixing broken link in user_examples (thanks
    Carlos Zuferri), italian translation

  [ chals ]
  * Fixing grammar in user_overview.ssi.po Spanish translation.
  * Fixing accentuation and links in several po files Spanish
    translation.
  * Fixing formatting error (missing number sign) in user_customization-
    contents.ssi (fuzzy already fixed in es and it).
  * Leaving date string untranslated in live_manual.ssm.po Spanish
    translation (Thanks to skizzhg).

  [ Daniel Baumann ]
  * Updating to standards version 3.9.2.
  * Rewrapping maintainer field in control.
  * Fixing build-problems with German translation stubs.

  [ Ben Armstrong ]
  * Give lb clean overview more substance, mentioning individual stages.

  [ chals ]
  * Updating lb clean overview Spanish translation.
  * Translating and fixing several missing strings in
    about_manual.ssi.po French translation.

  [ skizzhg ]
  * Updating user_overview.ssi.po, italian translation.

  [ Daniel Baumann ]
  * Don't run currently empty test target by default.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 May 2011 18:53:18 +0200
