## live-manual 3.0~a4

=== debian/changelog ===
live-manual (1:3.0~a4-1) unstable; urgency=low

  [ chals ]
  * Fixing vocabulary and grammar in about_manual.ssi.po French
    translation.
  * Translating about_project.ssi.po into French.
  * Translating user_installation.ssi.po into French.

 -- Daniel Baumann <daniel@debian.org>  Sat, 11 Jun 2011 14:58:51 +0200
