=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
-Uploaders: Chris Lamb <lamby@debian.org>, Daniel Baumann <daniel@debian.org>, Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
+Uploaders:
+ Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
+ Daniel Baumann <daniel@debian.org>,
+ Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby
 Build-Depends-Indep: sisu-complete, po4a
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
 Vcs-Git: git://live.debian.net/git/live-manual.git
