=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.html -X.odt
