=== debian/changelog ===
live-manual (1:3.0~a7-1ubuntu0.1) oneiric-proposed; urgency=low

  * fix FTBFS by adding a build dependency on language-pack-en and setting the 
    LC_ALL to en_US.UTF-8 in debian/rules (LP: #831392)

 -- Matthew Fischer <matthew.fischer@canonical.com>  Sat, 03 Mar 2012 21:36:04 -0700

live-manual (1:3.0~a7-1) unstable; urgency=low

  [ chals ]
  * Translating user_customization-overview.ssi.po into French.
  * Deleting redundant use of 'official' in user_customization-
    packages.ssi.
  * Updating Spanish translation.
  * Translating user_customization-packages.ssi.po into French.
  * Translating user_customization-contents.ssi.po into French.

  [ skizzhg ]
  * Updating user_customization-packages, italian translation.

  [ swecha ]
  * Adding a section on applying patches.

  [ chals ]
  * Changing the example in apt pinning section to make it work for
    Squeeze and Wheezy.
  * Updating Spanish translation.
  * Updating French translation.
  * Translating user_customization-runtime.ssi.po into French.

  [ skizzhg ]
  * Updating user_customization-packages, italian translation.

 -- Daniel Baumann <daniel@debian.org>  Wed, 24 Aug 2011 19:44:03 +0200

live-manual (1:3.0~a6-1) unstable; urgency=low

  * Renaming live-manual metapackage to live-manuall-all.
  * Adding provides for each output format package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 15 Jul 2011 14:41:19 +0200

live-manual (1:3.0~a5-1) unstable; urgency=low

  [ chals ]
  * Fixing title in section 3.3 live-boot et live-config. French
    translation.

  [ Ben Armstrong ]
  * Added xref to using the space left on a USB stick.

  [ chals ]
  * Translating live-manual.ssm.po into French.

  [ skizzhg ]
  * Updating user_customization-runtime.ssi.po after new context,
    italian translation.

  [ Daniel Baumann ]
  * Making references to debian more distribution neutral.

  [ skizzhg ]
  * Updating and adjusting form user_installation.ssi.po, italian
    translation.
  * Proofreading user_basics.ssi.po, italian translation.

  [ chals ]
  * Deleting unicode symbols found by skizzhg.
  * Translating user_basics.ssi.po into French.
  * Updating Spanish translation.
  * Translating user_overview.ssi.po into French.
  * Fixing section title in user_installation and untranslated string in
    user_overview French translation.
  * Translating user_managing_a_configuration.ssi.po into French.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jul 2011 10:52:40 +0200
