=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: live-manual
 Section: doc
 Priority: optional
-Maintainer: Debian Live Project <debian-live@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Daniel Baumann <daniel@debian.org>,
  Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby
+Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby, language-pack-en
 Build-Depends-Indep: sisu-complete, po4a
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
 Vcs-Git: git://live.debian.net/git/live-manual.git
 
-Package: live-manual
+Package: live-manual-all
 Architecture: all
 Depends:
  ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
@@ -26,6 +27,7 @@
 Package: live-manual-epub
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (epub)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -34,6 +36,7 @@
 Package: live-manual-html
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (html)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -42,6 +45,7 @@
 Package: live-manual-odf
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (odf)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -50,6 +54,7 @@
 Package: live-manual-pdf
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (pdf)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -58,6 +63,7 @@
 Package: live-manual-txt
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (txt)
  live-manual contains the documentation for the Debian Live project.
  .
