=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@}
+	LC_ALL=en_US.UTF-8 dh ${@}
 
 override_dh_install:
 	dh_install --fail-missing
