## live-manual 3.0~a8

=== debian/changelog ===
live-manual (1:3.0~a8-1) unstable; urgency=low

  [ chals ]
  * Adding information about default username and password.
  * Updating Spanish translation.
  * Updating French translation.
  * Fixing code string in user_customization-runtime.
  * Translating newly created link into French and Spanish.

  [ Ben Armstrong ]
  * Eliminate/reduce use of word 'official', which is confusing
    especially as we move into supporting derivatives.

  [ chals ]
  * Updating Spanish translation.
  * Updating French translation.
  * Translating user_customization-binary.ssi.po into French.
  * Deleting tag from project_bugs.ssi.po Spanish translation.
  * Translating the title of the manual into French and thus fixing
    'fuzzy'.

  [ skizzhg ]
  * Updating about_project, user_customization-contents,
    user_customization-runtime. Italian translation.

  [ chals ]
  * Translating user_customization-installer.ssi.po into French.
  * Translating project_bugs.ssi.po into French.
  * Translating project_coding-style.ssi.po into French.
  * Fixing broken link in user_customization-installer French.
  * Translating project_procedures.ssi.po into French.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Sep 2011 14:53:41 +0200
