=== debian/changelog ===
live-manual (1:3.0~a9-1ubuntu1) precise; urgency=low

  * fix FTBFS by adding a dependency on language-pack-en and setting the 
    LC_ALL to en_US.UTF-8 (LP: #831392)

 -- Matthew Fischer <matthew.fischer@canonical.com>  Sat, 03 Mar 2012 21:36:04 -0700

live-manual (1:3.0~a9-1) unstable; urgency=low

  [ chals ]
  * Translating user_examples.ssi.po into French.

  [ Ben Armstrong ]
  * Mentioning new live-boot-doc and live-config-doc packages can be
    installed separately.
  * Updating --repository option to --archives.

  [ chals ]
  * Updating Spanish translation.
  * Updating French translation.

  [ Daniel Baumann ]
  * Using compression level 9 also for binary packages.

  [ skizzhg ]
  * Updating user_installation, italian translation.

  [ chals ]
  * Revising about_manual French translation.
  * Revising about_project French translation.
  * Revising user_installation French translation.

  [ Ben Armstrong ]
  * Updating all mirror options & variables to refer to parent mirror.

  [ chals ]
  * Updating Spanish translation (parent mirrors).
  * Updating French translation (parent mirrors).

  [ Ben Armstrong ]
  * Updating for 3.x, package lists.
  * Reverting to gnome instead of gnome-core in examples, as it is a
    "happier" list.
  * Fixing consistent spacing for shell appends in examples.

  [ chals ]
  * Updating Spanish translation (package lists).
  * Updating French translation (package lists).
  * Fixing minor formatting error and correcting it in the es po.
  * Translating three strings in the fr po.

  [ Daniel Baumann ]
  * Sorting overrides in rules alphabetically.

  [ Ben Armstrong ]
  * Updating to 3.x, tasks.

  [ chals ]
  * Updating Spanish translation (tasks).
  * Updating French translation (tasks).

  [ Ben Armstrong ]
  * Updating to 3.x, reamining tasks references.

  [ chals ]
  * Updating Spanish translation (remaining tasks references).
  * Updating French translation (remaining tasks references).

  [ Ben Armstrong ]
  * Fixing incorrect task-lists directory reference.

  [ chals ]
  * Fixing es po after Ben's changes.

  [ Ben Armstrong ]
  * Updating for 3.x, no virtual package lists and automatic tasksel
    desktop selection.

  [ chals ]
  * Translating strings in the examples and the customization of
    packages, Spanish.
  * Translating the same, but in French.

  [ Ben Armstrong ]
  * Fixing typo in 'set +e', autobuild target.
  * Updating for 3.x, 686-pae kernel supercedes 686.
  * Removing directory tree in favour of elsewhere explaining each
    subdirectory's purpose.
  * Updating to 3.x, includes.
  * Updating to 3.x, APT indices.
  * Updating for wheezy/sid, tasksel has no descriptions and data has
    moved.
  * Updating translation strings for recent commits.

  [ chals ]
  * Updating Spanish translation.

  [ Daniel Baumann ]
  * Replacing mentioning of squeeze with wheezy where appropriate.
  * Updating German translation for index.html.
  * Translating live-manual.ssm to German.

  [ chals ]
  * Translating remaining bits in the Spanish translation.

  [ Ben Armstrong ]
  * Updating to 3.x, archives.

  [ chals ]
  * Updating es and fr po files to 3.x archives.

  [ Ben Armstrong ]
  * Updating to 3.x, chroot packages.
  * Updating to 3.x, hooks and preseeding.
  * Catching up language strings for last couple of commits.
  * Updating to 3.x, udebs.

  [ Daniel Baumann ]
  * Temporarily disabling fix-sisu-html.rb until it's updated for newer
    sisu versions.
  * Bumping build-depends on sisu to version 3.

  [ Ben Armstrong ]
  * Updating make and HTML indices for sisu 3.x.

  [ chals ]
  * Updating Spanish translation of user_customization.
  * Updating French translation of user_customization.
  * Making explanation and example match replacing 'xtightvncviever' for
    'xvnc4viewer' and fixing redirection spacing
  * Updating Spanish translation and fixing error --packages-lists.
  * Updating French translation.
  * Fixing @date in German translation.
  * Fixing links in the po files for es, fr, it and pt_BR.
  * Fixing @title in the German translation.
  * Fixing fuzzy strings in Romanian about_project.ssi.po thanks to
    Creatura85 and changing the links to the ro translation (temporary
    fix).
  * Adding a short note about translations.
  * Updating French and Spanish notes on translations.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Dec 2011 10:25:10 +0100
