=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Daniel Baumann <daniel@debian.org>,
  Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby, language-pack-en
-Build-Depends-Indep: sisu-complete, po4a
+Build-Depends-Indep: sisu-complete (>= 3), po4a
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
