=== debian/rules ===
#!/usr/bin/make -f

%:
	LC_ALL=en_US.UTF-8 dh ${@}

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_compress:
	dh_compress -X.html -X.odt

override_dh_install:
	dh_install --fail-missing
