=== debian/changelog ===
live-manual (1:3.0~a10-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Clarifying that the first three sections of current chapter are
    required reading for 'the impatient'.

  [ chals ]
  * Updating Spanish and French translations of about_manual.

  [ skizzhg ]
  * Updating italian translation.
  * Updating index.html, italian translation.

  [ chals ]
  * Rearranging things to work with sisu3, thanks to Ben Armstrong and
    Ralph Amissah.
  * Switching from 'language' to 'filetype' output.
  * Fixing 'install' target so that debs build properly.
  * Updating links to 'pdf' files and to 'toc'.
  * Updating links in all available languages.
  * Fixing 'Last-Translator' fields and adding skizzhg to the Italian
    index.

  [ Daniel Baumann ]
  * Updating German translation for index page.

  [ chals ]
  * Renaming section 1.4.1 and adding 'git add .' to instructions.
  * Updating 'es' and 'fr'.
  * Fixing space in <<END.

  [ Daniel Baumann ]
  * Updating gpg key filename for local archive definitions, thanks to
    Sébastien Villemot <sebastien.villemot@ens.fr> (Closes: #653492).

  [ chals ]
  * Fixing another <<END in the apt pinning section.
  * Updating the year of the license to 2012 in the transalation po
    files (de, fr, es, it).
  * Redirecting #how-to-contribute link to its right location.
  * Removing backup of index.html.in~, it could be added to the clean
    target.

  [ skizzhg ]
  * Updating about_manual, italian translation.

  [ Ben Armstrong ]
  * Renaming usb-hdd image type to hdd. (Closes: #655360).

  [ chals ]
  * Updating 'es' and 'fr' translations after 'usb-hdd' renaming.
  * Updating user_basics, Spanish translation.
  * Updating the bootloader section to 3.x, thanks to Ben Armstrong for
    the alternative method and help with the syntax (Closes: #651457).
  * Updating bootloaders section, Spanish translation.
  * Updating bootloaders section, French translation.
  * Fixing small formatting error in 'en' that only affected the
    translations.

  [ Ben Armstrong ]
  * Reverting to using non-parent mirror options since that now works in
    latest release.

  [ chals ]
  * Updating 'es' and 'fr', parent-mirrors.
  * Fixing typo and removing commented lines in manual/makefile.
  * Adding rm -f manual/en/*~ to clean target.
  * Adding functionality to build by document type, eg. FORMATS=pdf.
  * Explaining FORMATS= in the doc.
  * Updating 'es' and 'fr' translations of new functionality.

  [ Ben Armstrong ]
  * Reinstate html format postprocessing; remove redundant sisu manifest
    run.
  * Update build dep for nokogiri, as old one is now a transitional
    package.

  [ chals ]
  * Adding missing preposition in Spanish translation.
  * Clarifying section 1.4.2 Translation.
  * Updating 'es' and 'fr' translations.
  * Removing strange unicode symbols, again only spotted using vim.

  [ skizzhg ]
  * Updating italian translation.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Feb 2012 23:39:38 +0100
