=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: live-manual
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Live Project <debian-live@lists.debian.org>
+Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Daniel Baumann <daniel@debian.org>,
  Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby, language-pack-en
+Build-Depends: debhelper (>= 8), ruby, ruby-nokogiri
 Build-Depends-Indep: sisu-complete (>= 3), po4a
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
